This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 18060 - Failed to compile a kernel
Failed to compile a kernel
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-02 03:19 EDT by Imre Csaba Varasdy
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-02 04:34:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Imre Csaba Varasdy 2000-10-02 03:19:01 EDT
Cannot compile a new kernel,always exiting with
/usr/src/linux/arch/i386/lib/checksum.S in line #231 and #237
Comment 1 Need Real Name 2000-10-02 03:56:11 EDT
got the same error on an compaq proliant 2500 with 2 pentium pros.
failed to compile 2.2.16 (not the sources from redhat, but the standard ones)
and 2.2.17.


Comment 2 Need Real Name 2000-10-02 04:06:14 EDT
maybe connected to our problem?
i got these warnings, too.
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=18027
Comment 3 Alan Cox 2000-10-02 04:34:04 EDT
Use kgcc (the kernel building gcc). The mainstream kernel is still abusing a few
things the new gcc catches out. And yes its not documented well enough!
Comment 4 Harvey Modlin 2000-10-05 04:04:20 EDT
Well, I get the same error msg and as a result get no bzImage -- with or 
without the "export CC=kgcc" before the make.
Comment 5 Harvey Modlin 2000-10-05 05:04:07 EDT
Aha. Found the problem! I really did forget to do the 'make mrproper' first! So 
with makr mrproper and 'export CC=kgcc', the kernel compiled just fine (thank 
you!) and the outcome was the bzImage file I wanted. Yippee! Thanks again.

Note You need to log in before you can comment on or make changes to this bug.